# Uses of Class
net.shibboleth.idp.installer.plugin.impl.PluginInstaller

Packages that use PluginInstaller
Package
Description
net.shibboleth.idp.installer.plugin.impl
Classes for handling plugins.

## Uses of PluginInstaller in net.shibboleth.idp.installer.plugin.impl

Fields in net.shibboleth.idp.installer.plugin.impl declared as PluginInstaller
Modifier and Type
Field
Description
`private PluginInstaller`
PluginInstallerCLI.`installer`
A Plugin Installer to use.
Methods in net.shibboleth.idp.installer.plugin.impl with parameters of type PluginInstaller
Modifier and Type
Method
Description
`private void`
PluginInstallerCLI.`constructPluginInstaller(PluginInstaller inst, PluginInstallerArguments args)`
Build the installer.